package goamz

import (
    "os"
)

type Region struct {
    EC2Endpoint string
    S3Endpoint string
}

var USEast = Region{
    "https://ec2.us-east-1.amazonaws.com",
    "https://s3.amazonaws.com",
}

type Auth struct {
    AccessKey, SecretKey string
}

func EnvAuth() (auth Auth, err os.Error) {
    auth.AccessKey = os.Getenv("AWS_ACCESS_KEY_ID")
    auth.SecretKey = os.Getenv("AWS_SECRET_ACCESS_KEY")
    if auth.AccessKey == "" {
        err = os.ErrorString("AWS_ACCESS_KEY_ID not found in environment")
    }
    if auth.SecretKey == "" {
        err = os.ErrorString("AWS_SECRET_ACCESS_KEY not found in environment")
    }
    return
}
